Find file
Fetching contributors…
Cannot retrieve contributors at this time
34 lines (23 sloc) 1.53 KB


This repository contains a PHP SDK that provides access to the Dropbox REST API. The SDK conforms to the PSR-0 standard for autoloading interoperability and requires PHP >= 5.3.1. Unless otherwise stated, all components of the SDK are licensed under the MIT License.


  • PHP >= 5.3.1
  • PHP cURL (\Dropbox\OAuth\Consumer\Curl)
  • PHP Mcrypt (\Dropbox\OAuth\Storage\Encrypter)

Known Issues

  • Due to PHP Bug #48962 affecting cURL, PHP >= 5.3.1 must be used until further consumers are available

Usage & Examples

Please see the examples provided.

Show Your Support

If you'd like to show your support, donations of alcoholic beverages are much appreciated and help me code harder >:D. You can also endorse me using the link below and help me earn badges and geek cred on Coderwall.